function CF = CashFlow(T_vessel,VOYEX_diff,...
    OPEX_nonfuel,MeanEarningsRate,Loan,Case,Retrofit_year,Drydock_days,...
    CAPEX,Sailing_days,LPG_lossfactor)

OPEX_year = OPEX_nonfuel*Sailing_days*365.25;
OPEX_yearly = zeros(1,T_vessel);
OPEX_yearly(1) = OPEX_year;
for i=2:T_vessel
OPEX_yearly(i) = OPEX_year*1.02^(i-1);
end



%-----------------------------
%      Yearly Avg Earnings
%-----------------------------
[r,c] = size(MeanEarningsRate);
x=zeros(r,T_vessel);

for i=1:r
    for j=2:c
        x(i,j-1) = MeanEarningsRate(i,j);
    end
end
MeanEarningsRate = x;
EarningsYearly = MeanEarningsRate*Sailing_days*365.25; 

if Case == 2 % if retrofit
    for i=1:r
        EarningsYearly(i,Retrofit_year) = MeanEarningsRate(i,Retrofit_year)*...
            ((Sailing_days*365.25) - Drydock_days);
    end
end
    
%------------------------------
%    YEARLY CASH FLOW
%------------------------------
CF = zeros(r,T_vessel);
for i=1:r
    for j=1:T_vessel
        if Case == 0
            CF(i,j) = EarningsYearly(i,j) - OPEX_yearly(j) - CAPEX(j);
        elseif Case == 1
            CF(i,j) = EarningsYearly(i,j)*LPG_lossfactor + VOYEX_diff(i,j)...
                - OPEX_yearly(j) - CAPEX(j);
        elseif Case == 2 && j <= Retrofit_year
            CF(i,j) = EarningsYearly(i,j) + VOYEX_diff(i,j) - OPEX_yearly(j)...
                - CAPEX(j);
        elseif Case == 2 && j > Retrofit_year
            CF(i,j) = EarningsYearly(i,j)*LPG_lossfactor + VOYEX_diff(i,j)...
                - OPEX_yearly(j) - CAPEX(j);
        elseif Case == 3 
            CF(i,j) = EarningsYearly(i,j)*LPG_lossfactor + VOYEX_diff(i,j)...
                - OPEX_yearly(j) - CAPEX(j);
        end
    end
end
end % function