function [dr, ir, Vessel_age, T_vessel, PurchasePrice, Vessel_Value,...
    NH3_start, LPG_start, OPEX_nonfuel,...
    VLSFO_start, Consumption, Loan,Drydock_days,Retrofit_cost,Retrofit_year,...
    Equity,Regulation_year,Sailing_days,LPG_lossfactor,Debt_ratio,...
    Steel_price,Scrap_value,MachineryAddedCost] = GetCaseCharacteristics(Case)

% Rates
dr = 0.05; % Discount rate
ir = 0.085; % Ship loan interest rate

% Time parameters
Vessel_age = 0;
T_vessel = 20; % Ship is sold for scrapping after 20 years
Sailing_days = 52/73; % 260/365, ratio sailing days per year

% Ship Purchase Price
PurchasePrice = 35e6;
Debt_ratio = 0.70;
Equity = 1 - Debt_ratio;
MachineryAddedCost = 6e6;
if Case == 1 || Case == 3
    PurchasePrice = PurchasePrice + MachineryAddedCost;
end



% OPEX
OPEX_nonfuel = 6500; % Daily OPEX [USD]

%VOYEX related
VLSFO_start = 200;
LPG_start = 400;
NH3_start = 800;
Consumption = 28; % [mt/day]

% Vessel value loss through years (linearly)
Lws = 10375;
Steel_price = 600; % [USD/tonne]
Scrap_value = Lws * Steel_price;
loss_factor = nthroot(Scrap_value/PurchasePrice,T_vessel);
Vessel_Value  = zeros(1,T_vessel);
Vessel_Value(1) = PurchasePrice;
Loan = PurchasePrice*Debt_ratio;
for i=2:T_vessel
    Vessel_Value(i) = PurchasePrice * loss_factor.^i;
end

%Environmental regulation
Regulation_year = 10; % 1st Jan 2030

%  less space for cargo if LPG system
LPG_lossfactor = 0.98;

%Below relevant for case 2
Drydock_days = 30;
Retrofit_cost = 6e6*1.25;
Retrofit_year = 9; % During 20xx (2020 + Retrofit_year)



if Retrofit_year+1 > Regulation_year
    error('Retrofit must be within regulation implementation')
end
    

end