% PRESENT VALUE OF CASH FLOWS & NET PRESENT VALUE

function NPV = GetNPV(CF, dr, nSim, T_vessel,Vessel_Value,Equity,Plots)

r=nSim;
c=T_vessel;
PV = zeros(r,c);
NPV = zeros(1,r);

InitialPayment = -Vessel_Value(1)*Equity;

for i=1:r
    for j=1:c
        PV(i,j) = CF(i,j)/((1+dr)^(j));
    end
    NPV(i) = sum(PV(i,:)) + Vessel_Value(end)/((1+dr)^(T_vessel))-InitialPayment; 
end

mdn = median(NPV);
if Plots
figure
histogram(NPV,75);
title('ENPV for each simulation');
hold on
line([mdn, mdn], ylim, 'LineWidth', 1.5, 'Color', 'r')
% figure
% cdfplot(NPV);
% title('Cumulative density function of the NPV');
end