function VOYEX_diff = VOYEX2(Case,Consumption,VLSFO,LPG,T_vessel,...
    Retrofit_year,FuelDiff,Regulation_year,Sailing_days,MachineryAddedCost)
[r,c] = size(VLSFO);
VOYEX = zeros(r,c-1);

% Case 0: Base case
for i=1:r
    for j = 1:c % 
        VOYEX(i,j) = Consumption * VLSFO(i,j) * Sailing_days*365.25; 
    end
end

AnnualMeanVOYEX = zeros(r,c);
YearlyAvgVOYEX = zeros(r,T_vessel);
for i=1:r
    s = 1;
    for j=1:4:c
        AnnualMeanVOYEX(i,j) = (VOYEX(i,j) + VOYEX(i,j+1) + VOYEX(i,j+2)...
            + VOYEX(i,j+3))/4;
        YearlyAvgVOYEX(i,s) = AnnualMeanVOYEX(i,j);
        s=s+1;
        if j >= c-4
            break
        end
    end
end
Basecase_YearlyAvgVOYEX = YearlyAvgVOYEX;

if Case == 1
for i=1:r    
    for j = 1:c 
        if j <= (Regulation_year)*4
            if VLSFO(i,j) >= LPG(i,j) 
            VOYEX(i,j) = Consumption * LPG(i,j) * Sailing_days*365.25;
            elseif LPG(i,j) > VLSFO(i,j)
            VOYEX(i,j) = Consumption * VLSFO(i,j) * Sailing_days*365.25;
            end
        elseif j > (Regulation_year)*4
            VOYEX(i,j) = Consumption * LPG(i,j) * Sailing_days*365.25;
        end
    end
end

%Retrofit is done in Retrorfit_year, LPG consumption ready from
%Retrorfit_year + 1
elseif Case == 2
 for i=1:r
    for j = 1:c % *4 due to quarterly prices
        if j <= (Retrofit_year+1)*4
            VOYEX(i,j) = Consumption * VLSFO(i,j) * Sailing_days*365.25;
        elseif j > (Retrofit_year+1)*4 && VLSFO(i,j) >= LPG(i,j) 
            VOYEX(i,j) = Consumption * LPG(i,j) * Sailing_days*365.25; 
        elseif j > (Retrofit_year+1)*4 && LPG(i,j) > VLSFO(i,j)...
                &&  j <= (Regulation_year)*4
            VOYEX(i,j) = Consumption * VLSFO(i,j) * Sailing_days*365.25;
        else
            VOYEX(i,j) = Consumption * LPG(i,j) * Sailing_days*365.25;
        end
    end
 end
elseif Case == 3
 for i=1:r
    for j = 1:c % *4 due to quarterly prices
        if VLSFO(i,j) > LPG(i,j)
            VOYEX(i,j) = Consumption * LPG(i,j) * Sailing_days*365.25;
        else
            VOYEX(i,j) = Consumption * VLSFO(i,j) * Sailing_days*365.25;
        end
    end
 end
end

%The average yearly VOYEX is the average of each quarterly price
AnnualMeanVOYEX = zeros(r,c);
YearlyAvgVOYEX = zeros(r,T_vessel);
for i=1:r
    s = 1;
    for j=1:4:c
        AnnualMeanVOYEX(i,j) = (VOYEX(i,j) + VOYEX(i,j+1) + VOYEX(i,j+2)...
            + VOYEX(i,j+3))/4;
        YearlyAvgVOYEX(i,s) = AnnualMeanVOYEX(i,j);
        s=s+1;
        if j >= c-4
            break
        end
    end
end

VOYEX_diff = zeros(r,T_vessel);
% Change in VOYEX due to fuel flexibility/environmentalr regulations:
if Case ~= 0
    for i=1:r
        for j=1:T_vessel
            VOYEX_diff(i,j) = Basecase_YearlyAvgVOYEX(i,j) - YearlyAvgVOYEX(i,j);
        end
%         tot_diff(i) = sum(VOYEX_diff(i,:));
%         tot_diff_snitt = mean(tot_diff);
    end
%     if Case == 3
%     figure
%     histogram(tot_diff,50)
%     line([MachineryAddedCost, MachineryAddedCost], ylim, 'LineWidth', 1.5, 'Color', 'r')
%     title('Value of fuel switch each simulation')
%     end
end
end

